- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
approx1
Complete List of ArrayFire Functions ArrayFire Functions by Category » Signal Processing » | Interpolation and approximation

approx1 interpolates data along the first dimensions. More...

## Functions
AFAPI array | approx1 (const array &in, const array &pos, const interpType method=AF_INTERP_LINEAR, const float offGrid=0.0f)
| C++ Interface for data interpolation on one dimensional signals. More...
AFAPI af_err | af_approx1 (af_array *out, const af_array in, const af_array pos, const af_interp_type method, const float offGrid)
| C Interface for signals interpolation on one dimensional signals. More...

## Detailed Description

approx1 interpolates data along the first dimensions.

It has three options for the type of interpolation to perform:

- Nearest neighbor - AF_INTERP_NEAREST
- Linear interpolation - AF_INTERP_LINEAR
- Bilinear interpolation - AF_INTERP_BILINEAR
- Cubic interpolation - AF_INTERP_CUBIC

## Function Documentation

AFAPI af_err af_approx1 | ( | af_array * | out,
|  | const af_array | in,
|  | const af_array | pos,
|  | const af_interp_type | method,
|  | const float | offGrid
| ) |  |

C Interface for signals interpolation on one dimensional signals.

Parameters

  [out] | out | is the array with interpolated values
  [in] | in | is the input array
  [in] | pos | array contains the interpolation locations
  [in] | method | is the interpolation type, it can take one of the values defined by the enum af_interp_type
  [in] | offGrid | is the value that will set in the output array when certain index is out of bounds

Returns
  AF_SUCCESS if the interpolation operation is successful, otherwise an appropriate error code is returned.

AFAPI array af::approx1 | ( | const array & | in,
|  | const array & | pos,
|  | const interpType | method = `AF_INTERP_LINEAR`,
|  | const float | offGrid = `0.0f`
| ) |  |

C++ Interface for data interpolation on one dimensional signals.

Parameters

  [in] | in | is the input array
  [in] | pos | array contains the interpolation locations
  [in] | method | is the interpolation type, it can take one of the values defined by the enum af_interp_type
  [in] | offGrid | is the value that will set in the output array when certain index is out of bounds

Returns
  the array with interpolated values